# Uses of Interface
org.eclipse.mat.query.ISelectionProvider

Packages that use ISelectionProvider
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.

## Uses of ISelectionProvider in org.eclipse.mat.inspections

Classes in org.eclipse.mat.inspections that implement ISelectionProvider
Modifier and Type
Class
Description
`class`
`DuplicatedClassesQuery`

## Uses of ISelectionProvider in org.eclipse.mat.internal.snapshot.inspections

Classes in org.eclipse.mat.internal.snapshot.inspections that implement ISelectionProvider
Modifier and Type
Class
Description
`static final class`
`Path2GCRootsQuery.Tree`

## Uses of ISelectionProvider in org.eclipse.mat.query

Fields in org.eclipse.mat.query declared as ISelectionProvider
Modifier and Type
Field
Description
`static final ISelectionProvider`
ISelectionProvider.`EMPTY`
A basic selection provider where nothing is selected or expanded.

## Uses of ISelectionProvider in org.eclipse.mat.query.refined

Classes in org.eclipse.mat.query.refined that implement ISelectionProvider
Modifier and Type
Class
Description
`class`
`RefinedStructuredResult`
The result from refining a table or tree.
`class`
`RefinedTable`
The result from refining a table.
`class`
`RefinedTree`
The result from refining a tree.
Methods in org.eclipse.mat.query.refined with parameters of type ISelectionProvider
Modifier and Type
Method
Description
`void`
RefinedStructuredResult.`setSelectionProvider(ISelectionProvider provider)`